;Przykładowy program POOL, możesz go używać,
;modyfikować i rozpowszechniać na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.pl

;1. Te współczynniki zmieniają kształt atraktora.
let "t {-1.4 1.6 1 0.7}

;2. Eksperymentuj także z wzorami funkcji f i g.
to f
  op (radsin :t,1 * :xy,2) + :t,3 * (radcos :t,1 * :xy,1)
end

to g
  op (radsin :t,2 * :xy,1) + :t,4 * (radcos :t,2 * :xy,2)
end

let "xy {0 0}
to next ;krok do następnego punktu atraktora
  let "ny g
  :xy,1 := f
  :xy,2 := :ny
  op :xy
end

window ht
:pool_cfg,"scale_x := 150
:pool_cfg,"scale_y := 150

repeat 2000000 [
  let "c pointat next
  :c,4 += 0.4
  (setpointat :xy :c)
]
print "gotowe
